--- scid-4.6.1.orig/engines/togaII1.2.1a/src/Makefile
+++ scid-4.6.1/engines/togaII1.2.1a/src/Makefile
@@ -18,23 +18,16 @@
 
 # general
 
-CXX      = g++
-CXXFLAGS = -pipe -Wall
-LDFLAGS  = -lm
 
 # C++
 
-CXXFLAGS += -fno-exceptions -fno-rtti
 
 # optimisation
 
-CXXFLAGS += -O3 -fstrict-aliasing
-CXXFLAGS += -fomit-frame-pointer
 # CXXFLAGS += -march=athlon-xp # SELECT ME
 
 # strip
 
-LDFLAGS += -s
 
 # dependencies
 
--- scid-4.6.1.orig/Makefile.conf
+++ scid-4.6.1/Makefile.conf
@@ -157,32 +157,32 @@
 install: $(INSTALL)
 
 install_scid: all_scid
-	install -m 755 -d "$(SHAREDIR)"
-	install -m 755 -d "$(BINDIR)"
-	install -m 755 $(SCRIPTS) $(EXECS) "$(BINDIR)"
-	rm -f "$(BINDIR)/scid"
-	@echo "#!/bin/sh" > "$(BINDIR)/scid"
-	@echo 'exec "$(BINDIR)/tkscid" "$(SHAREDIR)/tcl/start.tcl" "$$@"' >> "$(BINDIR)/scid"
-	chmod 755 "$(BINDIR)/scid"
-	chmod +x "$(BINDIR)/scid"
-	install -m 644 -p scid.eco "$(SHAREDIR)"
-	install -m 755 -d "$(SHAREDIR)/books"
-	install -m 666 ./books/*.* "$(SHAREDIR)/books/"
-	install -m 755 -d "$(SHAREDIR)/bases"
-	if test -d ./bases; then install -m 666 ./bases/*.* "$(SHAREDIR)/bases/" ; fi
-	install -m 755 -d "$(SHAREDIR)/html"
-	cp -r ./html/* "$(SHAREDIR)/html/"
-	install -m 755 -d "$(SHAREDIR)/img/"
-	cp -r ./img/* "$(SHAREDIR)/img/"
-	install -m 755 -d "$(SHAREDIR)/tcl/"
-	cp -r ./tcl/* "$(SHAREDIR)/tcl/"
+	install -m 755 -d "$(DESTDIR)$(SHAREDIR)"
+	install -m 755 -d "$(DESTDIR)$(BINDIR)"
+	install -m 755 $(SCRIPTS) $(EXECS) "$(DESTDIR)$(BINDIR)"
+	rm -f "$(DESTDIR)$(BINDIR)/scid"
+	@echo "#!/bin/sh" > "$(DESTDIR)$(BINDIR)/scid"
+	@echo 'exec "$(BINDIR)/tkscid" "$(SHAREDIR)/tcl/start.tcl" "$$@"' >> "$(DESTDIR)$(BINDIR)/scid"
+	chmod 755 "$(DESTDIR)$(BINDIR)/scid"
+	chmod +x "$(DESTDIR)$(BINDIR)/scid"
+	install -m 644 -p scid.eco "$(DESTDIR)$(SHAREDIR)"
+	install -m 755 -d "$(DESTDIR)$(SHAREDIR)/books"
+	install -m 666 ./books/*.* "$(DESTDIR)$(SHAREDIR)/books/"
+	install -m 755 -d "$(DESTDIR)$(SHAREDIR)/bases"
+	if test -d ./bases; then install -m 666 ./bases/*.* "$(DESTDIR)$(SHAREDIR)/bases/" ; fi
+	install -m 755 -d "$(DESTDIR)$(SHAREDIR)/html"
+	cp -r ./html/* "$(DESTDIR)$(SHAREDIR)/html/"
+	install -m 755 -d "$(DESTDIR)$(SHAREDIR)/img/"
+	cp -r ./img/* "$(DESTDIR)$(SHAREDIR)/img/"
+	install -m 755 -d "$(DESTDIR)$(SHAREDIR)/tcl/"
+	cp -r ./tcl/* "$(DESTDIR)$(SHAREDIR)/tcl/"
 
 install_engines: all_engines
-	install -m 755 -d "$(SHAREDIR)/engines"
-	install -m 755 -d "$(SHAREDIR)/engines/phalanx-scid"
-	install ./engines/phalanx-scid/phalanx-scid "$(SHAREDIR)/engines/phalanx-scid"
-	install -m 755 -d "$(SHAREDIR)/engines/togaII1.2.1a"
-	install ./engines/togaII1.2.1a/src/togaII "$(SHAREDIR)/engines/togaII1.2.1a/"
+	install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines"
+	install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines/phalanx-scid"
+	install ./engines/phalanx-scid/phalanx-scid "$(DESTDIR)$(SHAREDIR)/engines/phalanx-scid"
+	install -m 755 -d "$(DESTDIR)$(SHAREDIR)/engines/togaII1.2.1a"
+	install ./engines/togaII1.2.1a/src/togaII "$(DESTDIR)$(SHAREDIR)/engines/togaII1.2.1a/"
 
 install_mac: all
 	install -m 755 -d dist/Scid.app/Contents/MacOS
--- scid-4.6.1.orig/tcl/options.tcl
+++ scid-4.6.1/tcl/options.tcl
@@ -598,7 +598,7 @@
 }
 
 ### Audio move announcement options:
-set ::utils::sound::soundFolder [file nativename [file join $::scidExeDir sounds]]
+set ::utils::sound::soundFolder "@GENTOO_DATADIR@/sounds"
 set ::utils::sound::announceNew 0
 set ::utils::sound::announceForward 0
 set ::utils::sound::announceBack 0
@@ -607,7 +607,7 @@
 if {$windowsOS} {
   set spellCheckFile [file join $scidExeDir "spelling.ssp"]
 } else {
-  set spellCheckFile "/usr/local/share/scid/spelling.ssp"
+  set spellCheckFile "@GENTOO_DATADIR@/spelling.ssp"
 }
 
 # book configuration
--- scid-4.6.1.orig/tcl/start.tcl
+++ scid-4.6.1/tcl/start.tcl
@@ -93,7 +93,7 @@
 
   # scidShareDir, scidImgDir, scidTclDir, scidBooksDir, scidBasesDir, ecoFile:
   # Location of Scid resources
-  set scidShareDir [file normalize [file join $scidExeDir "../share/scid"]]
+  set scidShareDir "@GENTOO_DATADIR@"
   if {! [file isdirectory $::scidShareDir]} {
     set scidShareDir $::scidExeDir
   }
--- scid-4.6.1.orig/tcl/utils/sound.tcl
+++ scid-4.6.1/tcl/utils/sound.tcl
@@ -43,7 +43,7 @@
   variable soundFolder
 
   set hasSound 1
-  if {[catch {package require snack 2.0}]} {
+  if {[catch {package require snack}]} {
     if {$::windowsOS} {
       catch {
         set ::utils::sound::pipe [open "| scidsnd.exe" "r+"]
